Page MenuHomePhabricator

Release new version of wdio-mediawiki
Closed, ResolvedPublic

Description

Since the last wdio-mediawiki release (0.5.0) the package updated from webdriverio v4 to v5 (T213268). In order for extensions to be able to update to v5, new version of the package has to be released (T234314).

Details

Related Gerrit Patches:
mediawiki/core : masterwdio-mediawiki: Release 1.0.0

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2019, 4:31 PM
zeljkofilipin triaged this task as Medium priority.Oct 30 2019, 4:32 PM
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.
zeljkofilipin moved this task from INBOX to Doing on the Release-Engineering-Team-TODO (201910) board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin added a subscriber: Krinkle.

@Krinkle can a new version of the package be released, so T234314 is unblocked?

Krinkle claimed this task.Oct 31 2019, 1:54 PM

Change 548859 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] wdio-mediawiki: Release 1.0.0

https://gerrit.wikimedia.org/r/548859

Krinkle reassigned this task from Krinkle to zeljkofilipin.Nov 5 2019, 7:51 PM

Change 548859 merged by jenkins-bot:
[mediawiki/core@master] wdio-mediawiki: Release 1.0.0

https://gerrit.wikimedia.org/r/548859

@Krinkle I've merged the commit. You have usually published the package. Should I publish it now, or will do you it?

Krinkle closed this task as Resolved.Nov 6 2019, 4:50 PM

Done.